commit 3c30704ba012090d5675dc0cbc726c46e793e13e
Author: freddy77 <freddy77>
Date:   Thu Oct 16 14:08:43 2008 +0000

    make test works

diff --git a/ChangeLog b/ChangeLog
index 610e575..8e12606 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Oct 16 16:08:40 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/blob1.c: make it works
+
 Thu Oct 16 13:26:27 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tdsodbc.h src/odbc/convert_tds2sql.c src/odbc/odbc.c:
 	* src/odbc/odbc_util.c:
@@ -693,4 +696,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2619 2008/10/16 11:28:06 freddy77 Exp $
+$Id: ChangeLog,v 1.2620 2008/10/16 14:08:43 freddy77 Exp $
diff --git a/src/odbc/unittests/blob1.c b/src/odbc/unittests/blob1.c
index b22cece..dbe0ece 100755
--- a/src/odbc/unittests/blob1.c
+++ b/src/odbc/unittests/blob1.c
@@ -3,7 +3,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: blob1.c,v 1.7 2008/09/25 08:06:33 freddy77 Exp $";
+static char software_version[] = "$Id: blob1.c,v 1.8 2008/10/16 14:08:44 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -139,6 +139,7 @@ readBlobAsChar(SQLHSTMT * stmth, SQLUSMALLINT pos, int step)
 			break;
 		if (len > (SQLLEN) bufsize)
 			len = (SQLLEN) bufsize - 1;
+		len -= len % 2;
 		printf(">>     step %d: %d bytes readed\n", i, (int) len);
 		
 		check =	check_hex(buf, len, 2*987 + total, 25);

